Bug 23448 - Clean up subscription detail template
Summary: Clean up subscription detail template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-10 20:11 UTC by Katrin Fischer
Modified: 2019-09-05 15:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23448: Clean up subscription detail template (50.76 KB, patch)
2019-08-12 18:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23448: (follow-up) Add comments on markup structure (13.09 KB, patch)
2019-08-12 18:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23448: Clean up subscription detail template (50.81 KB, patch)
2019-08-16 20:41 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23448: (follow-up) Add comments on markup structure (13.14 KB, patch)
2019-08-16 20:41 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23448: Clean up subscription detail template (50.87 KB, patch)
2019-08-17 19:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23448: (follow-up) Add comments on markup structure (13.21 KB, patch)
2019-08-17 19:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-08-10 20:11:58 UTC
The HTML validator complains about the placement of the </main> tag and a missing closing </div> element.
Comment 1 Owen Leonard 2019-08-12 18:12:59 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2019-08-12 18:13:01 UTC Comment hidden (obsolete)
Comment 3 Maryse Simard 2019-08-16 20:41:12 UTC Comment hidden (obsolete)
Comment 4 Maryse Simard 2019-08-16 20:41:14 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2019-08-17 19:12:29 UTC
Created attachment 92335 [details] [review]
Bug 23448: Clean up subscription detail template

This patch makes a number of corrections to the subscription detail
page: Re-indented consistently with four spaces. Removed invalid
attributes. Added missing </div>.

To test, apply the patch and go to Serials. Search for a subscription
and view the details page.

The page should look correct. Validating the source should return no
errors.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2019-08-17 19:12:32 UTC
Created attachment 92336 [details] [review]
Bug 23448: (follow-up) Add comments on markup structure

This patch adds comments to the markup in order to highlight the
structure of the page.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Martin Renvoize 2019-08-19 09:25:21 UTC
Nice work!

Pushed to master for 19.11.00
Comment 8 Fridolin SOMERS 2019-09-05 15:02:42 UTC
Enhancement not pushed to 19.05.x